#      MainWin.py - part of PyGCID
#      Copyright (C) 2000 Erik Forsberg
#      forsberg@lysator.liu.se

#      This program is free software; you can redistribute it and/or modify
#      it under the terms of the GNU General Public License as published by
#      the Free Software Foundation; either version 2 of the License, or
#      (at your option) any later version.

#      This program is distributed in the hope that it will be useful,
#      but WITHOUT ANY WARRANTY; without even the implied warranty of
#      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#      GNU General Public License for more details.

#      You should have received a copy of the GNU General Public License
#      along with this program, see the file COPYING; if not, write
#      to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge,
#      MA 02139, USA.

from gtk import *
from common import *
from Window import Window
from BigWindow import BigWindow

class MainWin(Window):
    
    def bigWindow(self):
        debug("MainWin:bigWindow")
        self.bigWin = BigWindow(self)
#        win = EditNumberWin("0709893608", self.parent.db)

    def showNewNumbers(self):
        debug("MainWin:showNewNumbers")
        pass

    def CIDButton_clicked(self, button, event):
        if(3 == event.button):
            self.window.destroy()
            mainquit()
        elif(2 == event.button):
            self.showNewNumbers()
        elif(1 == event.button):
            self.bigWindow()

        
    def __init__(self, parent):
        self.parent = parent
        self.bigWin = None
        Window.__init__(self, "CallerID")
        debug("MainWin:__init__")
        self.window.connect("destroy", mainquit) # FIXME!
        self.window.set_border_width(2)
        self.CIDButton = GtkButton()
        self.CIDButton.connect("button-press-event", self.CIDButton_clicked)
        self.CIDButton.show()

        buttonVbox = GtkVBox()
        buttonVbox.show()
        
        pix, mask = create_pixmap_from_xpm(self.window, None, "telef.xpm")
        pixMap = GtkPixmap(pix, mask)
        pixMap.show()
        buttonVbox.pack_start(pixMap)

        buttonLabel = GtkLabel("Caller ID")
        buttonLabel.show()
        buttonVbox.pack_start(buttonLabel)

        self.CIDButton.add(buttonVbox)
        
        self.window.add(self.CIDButton)
        self.window.show()
